com.independentsoft.exchange

## Class RuleActions

- java.lang.Object
- - com.independentsoft.exchange.RuleActions

-     public class RuleActions
      extends java.lang.Object

  Represents the set of actions that are available to be taken on a message when the conditions are fulfilled.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RuleActions()` Initializes a new instance of the RuleActions class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.lang.String>` | `getAssignCategories()` Gets the categories that are stamped on e-mail messages.
    `FolderId` | `getCopyToFolder()` Gets the ID of the folder that e-mail items will be copied to.
    `boolean` | `getDelete()` Gets whether messages are to be moved to the Deleted Items folder.
    `java.util.List<Mailbox>` | `getForwardAsAttachmentToRecipients()` Gets the e-mail addresses to which messages are to be forwarded as attachments.
    `java.util.List<Mailbox>` | `getForwardToRecipients()` Gets the e-mail addresses to which messages are to be forwarded.
    `boolean` | `getMarkAsRead()` Gets whether messages are to be marked as read.
    `Importance` | `getMarkImportance()` Gets the importance that is to be stamped on messages.
    `FolderId` | `getMoveToFolder()` Gets the ID of the folder that e-mail items will be moved to.
    `boolean` | `getPermanentDelete()` Gets whether messages are to be permanently deleted and not saved to the Deleted Items folder.
    `java.util.List<Mailbox>` | `getRedirectToRecipients()` Gets the e-mail addresses to which messages are to be redirected.
    `java.util.List<Mailbox>` | `getSendSMSAlertToRecipients()` Gets the mobile phone numbers to which a Short Message Service (SMS) alert is to be sent.
    `ItemId` | `getServerReplyWithMessage()` Gets the ID of the template message that is to be sent as a reply to incoming messages.
    `boolean` | `getStopProcessingRules()` Gets whether subsequent rules are to be evaluated.
    `void` | `setCopyToFolder(FolderId copyToFolder)` Sets the ID of the folder that e-mail items will be copied to.
    `void` | `setDelete(boolean delete)` Sets whether messages are to be moved to the Deleted Items folder.
    `void` | `setMarkAsRead(boolean markAsRead)` Sets whether messages are to be marked as read.
    `void` | `setMarkImportance(Importance markImportance)` Sets the importance that is to be stamped on messages.
    `void` | `setMoveToFolder(FolderId moveToFolder)` Sets the ID of the folder that e-mail items will be moved to.
    `void` | `setPermanentDelete(boolean permanentDelete)` Sets whether messages are to be permanently deleted and not saved to the Deleted Items folder.
    `void` | `setServerReplyWithMessage(ItemId serverReplyWithMessage)` Sets the ID of the template message that is to be sent as a reply to incoming messages.
    `void` | `setStopProcessingRules(boolean stopProcessingRules)` Sets whether subsequent rules are to be evaluated.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RuleActions

          public RuleActions()

      Initializes a new instance of the RuleActions class.

  - ### Method Detail

    - #### getAssignCategories

          public java.util.List<java.lang.String> getAssignCategories()

      Gets the categories that are stamped on e-mail messages.
      Returns:
        the assign categories

    - #### getCopyToFolder

          public FolderId getCopyToFolder()

      Gets the ID of the folder that e-mail items will be copied to.
      Returns:
        the copy to folder

    - #### setCopyToFolder

          public void setCopyToFolder(FolderId copyToFolder)

      Sets the ID of the folder that e-mail items will be copied to.
      Parameters:
        `copyToFolder` - the new copy to folder

    - #### getDelete

          public boolean getDelete()

      Gets whether messages are to be moved to the Deleted Items folder.
      Returns:
        the delete

    - #### setDelete

          public void setDelete(boolean delete)

      Sets whether messages are to be moved to the Deleted Items folder.
      Parameters:
        `delete` - the new delete

    - #### getForwardAsAttachmentToRecipients

          public java.util.List<Mailbox> getForwardAsAttachmentToRecipients()

      Gets the e-mail addresses to which messages are to be forwarded as attachments.
      Returns:
        the forward as attachment to recipients

    - #### getForwardToRecipients

          public java.util.List<Mailbox> getForwardToRecipients()

      Gets the e-mail addresses to which messages are to be forwarded.
      Returns:
        the forward to recipients

    - #### getMarkImportance

          public Importance getMarkImportance()

      Gets the importance that is to be stamped on messages.
      Returns:
        the mark importance

    - #### setMarkImportance

          public void setMarkImportance(Importance markImportance)

      Sets the importance that is to be stamped on messages.
      Parameters:
        `markImportance` - the new mark importance

    - #### getMarkAsRead

          public boolean getMarkAsRead()

      Gets whether messages are to be marked as read.
      Returns:
        the mark as read

    - #### setMarkAsRead

          public void setMarkAsRead(boolean markAsRead)

      Sets whether messages are to be marked as read.
      Parameters:
        `markAsRead` - the new mark as read

    - #### getMoveToFolder

          public FolderId getMoveToFolder()

      Gets the ID of the folder that e-mail items will be moved to.
      Returns:
        the move to folder

    - #### setMoveToFolder

          public void setMoveToFolder(FolderId moveToFolder)

      Sets the ID of the folder that e-mail items will be moved to.
      Parameters:
        `moveToFolder` - the new move to folder

    - #### getPermanentDelete

          public boolean getPermanentDelete()

      Gets whether messages are to be permanently deleted and not saved to the Deleted Items folder.
      Returns:
        the permanent delete

    - #### setPermanentDelete

          public void setPermanentDelete(boolean permanentDelete)

      Sets whether messages are to be permanently deleted and not saved to the Deleted Items folder.
      Parameters:
        `permanentDelete` - the new permanent delete

    - #### getRedirectToRecipients

          public java.util.List<Mailbox> getRedirectToRecipients()

      Gets the e-mail addresses to which messages are to be redirected.
      Returns:
        the redirect to recipients

    - #### getSendSMSAlertToRecipients

          public java.util.List<Mailbox> getSendSMSAlertToRecipients()

      Gets the mobile phone numbers to which a Short Message Service (SMS) alert is to be sent.
      Returns:
        the send sms alert to recipients

    - #### getServerReplyWithMessage

          public ItemId getServerReplyWithMessage()

      Gets the ID of the template message that is to be sent as a reply to incoming messages.
      Returns:
        the server reply with message

    - #### setServerReplyWithMessage

          public void setServerReplyWithMessage(ItemId serverReplyWithMessage)

      Sets the ID of the template message that is to be sent as a reply to incoming messages.
      Parameters:
        `serverReplyWithMessage` - the new server reply with message

    - #### getStopProcessingRules

          public boolean getStopProcessingRules()

      Gets whether subsequent rules are to be evaluated.
      Returns:
        the stop processing rules

    - #### setStopProcessingRules

          public void setStopProcessingRules(boolean stopProcessingRules)

      Sets whether subsequent rules are to be evaluated.
      Parameters:
        `stopProcessingRules` - the new stop processing rules